Skip to main content
Resource Center/Hardware/SAN Storage Operations/NVMe Storage Operations

QueryNvmeLun

QueryNvmeLun

GET/zstack/v1/storage-devices/nvme/luns
GET/zstack/v1/storage-devices/nvme/luns/{uuid}

Operation ID

QueryNvmeLun

Since

4.6.21

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • nvmeTargetUuid
      StringRequired

      The NVMe device UUID.

    • name
      StringRequired

      The resource name.

    • uuid
      StringRequired

      The resource uuid.

    • wwid
      StringRequired

      The unique tag of the resource.

    • vendor
      StringRequired

      The vendor.

    • model
      StringRequired

      The model

    • wwn
      StringRequired

      The WWN.

    • serial
      StringRequired

      The serial.

    • type
      StringRequired

      The type.

    • hctl
      StringRequired

      The hctl.

    • path
      StringRequired

      The path.

    • state
      StringRequired

      The state.

    • size
      LongRequired

      The size.

    • multipathDeviceUuid
      StringRequired

      The UUID of the multi-path device.

    • source
      StringRequired

      The disk source, NVME.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • nvmeLunHostRefs
      ListRequired

      See nvmeLunHostRefs.

      • nvmeLunUuid
        ListRequired

        The UUID of the NVMe disk.

      • hostUuid
        StringRequired

        The host UUID.

      • path
        StringRequired

        The disk path.

      • hctl
        StringRequired

        The disk HCTL.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.